Subject: bug#14356: 24.3; Symbol's value as variable is void: help-xref-following

From: Dmitry Gutov <[email-masked]>
Date: Tue, 07 May 2013 03:41:46 +0400

Vitalie Spinu <[email-masked]> writes:

> I have noticed this issue for second time this week.
>
> When trying to access emacs help (C-h f) I am getting the error:
>
>     help-setup-xref: Symbol's value as variable is void: help-xref-following
>
> I tracked it down to the warnign in *messages*
>
>    Warning: defvar ignored because help-xref-following is let-bound
>
>
> so the variable help-xref-following in help-mode.el is not getting
> defined during the auto-load for the above reason.
>
> Any ideas of how to debug this issue? It is not reproducible, it just
> happens from time to time.

Looks like a problem with a third-party package. Someone let-binds
`help-xref-following' somewhere.

Here's an old commit in auto-complete fixing that:

https://github.com/auto-complete/auto-complete/commit/75482c79c5d1a46f9097cc27b568aa66ef0add07